import { MessageBox } from 'element-ui';
import { MessageBoxData } from 'element-ui/types/message-box';

export default function ErrorMessageBox(errorMsg?:string, errorObj?: any):Promise<MessageBoxData>{
  errorMsg && console.info('Error: ', errorMsg);
  errorObj && console.error('Error Details: ', errorObj?.response || errorObj);

  return MessageBox({
    message: errorMsg
              ? errorMsg
              : `<div class="message-header"> 系統發生錯誤: ${errorObj?.response?.status} </div>
                  <div class="message-content">${errorObj?.response?.data?.detail}</div>`,
    dangerouslyUseHTMLString: true,
    showClose:false,
    showConfirmButton:true,
    confirmButtonText:'確認',
    customClass:'pam-message-box',
    closeOnClickModal:false,
  });
}
